////////////////////////////////////////////////////////////////////////////////////////
// File: scripts/item_components.js
// Usage: custom item components
////////////////////////////////////////////////////////////////////////////////////////

import * as ability from "./weapons/ability.js";

////////////////////////////////////////////////////////////////////////////////////////

export const specialAttackHandler = {
  onUse(event) {
    const handlers = {
      "sbs_mib:ghast_bottle_item": ability.ghastBottle,
      "sbs_mib:guardian_bottle_item": ability.guardianBottle,
      "sbs_mib:blaze_bottle_item": ability.blazeBottle,
      "sbs_mib:bat_bottle": ability.batBottle,
      "sbs_mib:ender_dragon_bottle": ability.enderDragonBottle,
      "sbs_mib:drowned_bottle": ability.drownedBottle,
      "sbs_mib:ocelot_bottle": ability.ocelotBottle,
      "sbs_mib:skeleton_horse_bottle": ability.skeletonHorseBottle,
      "sbs_mib:mooshroom_bottle": ability.mooshroomBottle,
      "sbs_mib:piglin_brute_bottle": ability.piglinBruteBottle,
      "sbs_mib:husk_bottle": ability.huskBottle,
      "sbs_mib:creaking_bottle": ability.creakingBottle,
    };
    // Attempt to call the handler
    handlers[event.itemStack.typeId]?.(event);
  }
}
